stages:
    - docker-build-18
    - docker-deploy-18
    - docker-build-20
    - docker-deploy-20

include:
  - project: 'nirvati/ci'
    file: '/docker.yml'
    inputs:
      username: $HARBOR_USERNAME
      password: $HARBOR_PASSWORD
      registry: $HARBOR_HOST
      project: library
      container: $CI_PROJECT_NAME
      tag: "18"
      suffix: "18"
      buildx-args: --build-arg NODE_VERSION=18.16.1 -f Dockerfile$(if [[ $(dpkg --print-architecture) == "riscv64" ]]; then printf ".riscv"; fi)
  - project: 'nirvati/ci'
    file: '/docker.yml'
    inputs:
      username: $HARBOR_USERNAME
      password: $HARBOR_PASSWORD
      registry: $HARBOR_HOST
      project: library
      container: $CI_PROJECT_NAME
      tag: "20"
      suffix: "20"
      buildx-args: --build-arg NODE_VERSION=20.3.1 -f Dockerfile$(if [[ $(dpkg --print-architecture) == "riscv64" ]]; then printf ".riscv"; fi)
